## ontospy 1.9.8.3~dfsg

=== requirements.txt ===
rdflib>=4.2.1
rdflib-jsonld>=0.4.0
SPARQLWrapper>=1.8.0
html5lib>=1.0.1
requests>=2.20.0
pyfiglet>=0.7.5
click>=6.6
colorama>=0.3.7 # note: on windows click requires colorama too http://click.pocoo.org/5/utils/#ansi-colors
pyparsing>=2.1.10
keepalive>=0.5
# readline==6.2.4.1  # optional, for shell autocomplete

## ontospy 0~20190225~dfsg1

=== debian/changelog ===
ontospy (0~20190225~dfsg1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Drop superfluous alternate Source URL.
  * Drop patch 1002 adopted upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Feb 2019 13:06:35 +0100

ontospy (0~20190107~dfsg1-5) unstable; urgency=medium

  * (Build-)depend on libjs-chart.js (not libjs-chartjs).
    Adapt patch 2004 and symbolic links.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Feb 2019 11:49:50 +0100

ontospy (0~20190107~dfsg1-4) unstable; urgency=medium

  * Update watch file:
    + Rewrite usage comment.
    + Generalize dversionmangle option.
  * Fix have autopkgtest depend on python3-pygments.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Feb 2019 15:13:01 +0100

ontospy (0~20190107~dfsg1-3) unstable; urgency=medium

  * Fix description in generated manpage.
  * Fix have autopkgtest depend on python3-django.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 21:29:34 +0100

ontospy (0~20190107~dfsg1-2) unstable; urgency=medium

  * Add patch 1002 to fix error message suggesting bootstrap command.
  * Improve package testsuite.
  * Distrust upstream testsuite. Check package testsuite during build.
    Build-depend on libtest-command-simple-perl libtest-expect-perl
    libtest-tempdir-tiny-perl perl.
  * Fix repeat debhelper options when overriding.
  * Fix check generated shell completion files are not empty.
  * Stop check generated shell completion files.
    Stop build-depend on shellcheck.
  * Fix run package testsuite
    and generate shell completion scripts and manpage during install
    (not during build:
    pybuild resolves executable only during install.
  * Add patches 1003 1004
    to fix template paths and normalize JavaScript library paths.
  * Fix link to shared JavaScript libraries.
    (Build-)depend on libjs-bootstrap libjs-bootswatch libjs-chartjs
    libjs-d3 libjs-jquery.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Feb 2019 03:38:12 +0100

ontospy (0~20190107~dfsg1-1) experimental; urgency=medium

  * Strip excessively large logfile from upstream source.
  * Bump repack suffix.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Feb 2019 00:46:50 +0100

ontospy (0~20190107~dfsg-1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#921033.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Jan 2019 23:38:00 +0100

=== debian/control ===
Source: ontospy
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 bash-completion,
 debhelper,
 dh-python,
 figlet <!nocheck>,
 help2man,
 libfile-homedir-perl <!nocheck>,
 libjs-bootstrap <!nocheck>,
 libjs-bootswatch <!nocheck>,
 libjs-chart.js <!nocheck>,
 libjs-d3 <!nocheck>,
 libjs-jquery <!nocheck>,
 libtest-command-simple-perl <!nocheck>,
 libtest-expect-perl <!nocheck>,
 libtest-tempdir-tiny-perl <!nocheck>,
 perl <!nocheck>,
 python3,
 python3-click,
 python3-colorama (>= 0.3.7),
 python3-django (>= 1.10.3),
 python3-html5lib (>= 1.0.1),
 python3-keepalive,
 python3-pyfiglet,
 python3-pygments (>= 2.1.3),
 python3-pyparsing (>= 2.1.10),
 python3-rdflib (>= 4.2.1),
 python3-rdflib-jsonld,
 python3-requests (>= 2.20.0),
 python3-setuptools,
 python3-sparqlwrapper,
 toilet-fonts <!nocheck>,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/ontospy.git
Vcs-Browser: https://salsa.debian.org/debian/ontospy
Homepage: https://lambdamusic.github.io/Ontospy/
Rules-Requires-Root: no

Package: ontospy
Architecture: all
Depends:
 python3-ontospy (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: query, inspect and visualize RDF/OWL ontologies - CLI tool
 Ontospy is a lightweight Python library and command line tool
 for inspecting and visualizing vocabularies
 encoded using W3C Semantic Web standards,
 that is, RDF or any of its dialects (RDFS, OWL, SKOS).
 .
 Ontospy can be used to generate HTML documentation
 for an ontology pretty easily.
 .
 This package provides the Ontospy command-line tool.

Package: python3-ontospy
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-chart.js,
 libjs-d3,
 libjs-jquery,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-django (>= 1.10.3),
 python3-pygments (>= 2.1.3),
Description: query, inspect and visualize RDF/OWL ontologies - library
 Ontospy is a lightweight Python library and command line tool
 for inspecting and visualizing vocabularies
 encoded using W3C Semantic Web standards,
 that is, RDF or any of its dialects (RDFS, OWL, SKOS).
 .
 Ontospy can be used to generate HTML documentation
 for an ontology pretty easily.
 .
 This package provides the Ontospy library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

cmd = ontospy
_ENV = $(strip \
 PATH="$(CURDIR)/debian/tmp/usr/bin:$(PATH)" \
 PYTHONPATH="$(CURDIR)/debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages")

# generate manpage with help2man from --help option of python script
_mkman = $(_ENV) \
 help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
 || { $(_ENV) $1 --help; false; }

# check shell script
# * try but distrust upstream testsuite
override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild || true

# * generate manpage based on --help option of script itself
# * generate shell completion scripts
# TODO: run package testsuite during build
# TODO: generate files during build
override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(_ENV) prove debian/tests/*.t
endif
	$(_ENV) _ONTOSPY_COMPLETE=source $(cmd) \
		> debian/bash-completion || true
	test -s debian/bash-completion
	$(_ENV) _ONTOSPY_COMPLETE=source_zsh $(cmd) \
		> debian/_$(cmd) || true
	test -s debian/_$(cmd)
	$(call _mkman, $(cmd), debian/$(cmd).1, \
		command-line tool to inspect and visualize RDF models)
	find debian/tmp/usr/lib -name '*.pyc' -delete
	find debian/tmp/usr/lib -type d -empty -delete

# unset bogus executable bits
override_dh_fixperms:
	dh_fixperms
	chmod --recursive a-x,a+X -- debian/*/usr/lib

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0~%cd,\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg1 \
https://github.com/lambdamusic/Ontospy HEAD

## ontospy 1.9.8.3~dfsg

=== debian/changelog ===
ontospy (1.9.8.3~dfsg-2) unstable; urgency=medium

  * simplify source script copyright-chceck
  * clarify in rules and TODO file
    that we ignore testsuite failures during build,
    but test again strictly post-build
  * declare buildsystem explicitly (not in environment)
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 20:36:11 +0200

ontospy (1.9.8.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Use github pattern (upstream tags releases now).
    + Relax to use unversioned repackaging suffix.
  * Declare compliance with Debian Policy 4.4.0.
  * Drop patch 1001: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Sep 2019 11:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  bash-completion,
- debhelper,
+ debhelper-compat (= 13),
  dh-python,
  figlet <!nocheck>,
  help2man,
@@ -33,7 +33,7 @@
  python3-setuptools,
  python3-sparqlwrapper,
  toilet-fonts <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/ontospy.git
 Vcs-Browser: https://salsa.debian.org/debian/ontospy
 Homepage: https://lambdamusic.github.io/Ontospy/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+
+# fix and trust upstream testsuite during build
+# (in addition to post-build testing)
+export PYBUILD_TEST_ARGS = || true
 
 cmd = ontospy
 _ENV = $(strip \
@@ -12,17 +16,11 @@
  help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
  || { $(_ENV) $1 --help; false; }
 
-# check shell script
-# * try but distrust upstream testsuite
-override_dh_auto_test:
-	dh_auto_test --buildsystem=pybuild || true
-
 # * generate manpage based on --help option of script itself
 # * generate shell completion scripts
 # TODO: run package testsuite during build
 # TODO: generate files during build
-override_dh_auto_install:
-	dh_auto_install --buildsystem=pybuild
+execute_after_dh_auto_install:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(_ENV) prove debian/tests/*.t
 endif
@@ -38,8 +36,7 @@
 	find debian/tmp/usr/lib -type d -empty -delete
 
 # unset bogus executable bits
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod --recursive a-x,a+X -- debian/*/usr/lib
 
 %:

=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 figlet,
 libfile-homedir-perl,
 libtest-command-simple-perl,
 libtest-expect-perl,
 libtest-tempdir-tiny-perl,
 perl,
 python3-django,
 python3-pygments,
 toilet-fonts,
 @,

Test-Command: prove debian/tests/sharedlibs/*.t
Depends:
 libfile-homedir-perl,
 libtest-command-simple-perl,
 libtest-tempdir-tiny-perl,
 perl,
 python3-django,
 python3-pygments,
 @,

Test-Command: EXTENDED_TESTING=1 prove debian/tests/net/*.t
Restrictions: flaky
Depends:
 libfile-homedir-perl,
 libtest-command-simple-perl,
 libtest-tempdir-tiny-perl,
 perl,
 python3-django,
 python3-pygments,
 @,

## ontospy 1.9.9.4~dfsg

=== requirements.txt ===
rdflib>=6.0.0
SPARQLWrapper>=1.8.0
html5lib>=1.0.1
requests>=2.20.0
pyfiglet>=0.7.5
click>=6.6
colorama>=0.3.7 # note: on windows click requires colorama too http://click.pocoo.org/5/utils/#ansi-colors
pyparsing>=2.1.10
# keepalive>=0.5
# readline==6.2.4.1  # optional, for shell autocomplete
# django>=1.10.3  # optional: for gendocs
# pygments==2.1.3 # optional: for gendocs

=== debian/changelog ===
ontospy (1.9.9.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend on python3-keepalive
  * build-depend on dh-sequence-bash-completion dh-sequence-python3
    (not bash-completion dh-python)
  * update source helper script copyright-check
  * update tests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Dec 2021 14:29:47 +0100

ontospy (1.9.9.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update lintian overrides
  * enable test fix upstream

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Dec 2021 21:59:47 +0100

ontospy (1.9.9.2~dfsg-2) unstable; urgency=medium

  * skip failing test
    (see <https://github.com/lambdamusic/Ontospy/issues/105>)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Nov 2021 11:11:39 +0100

ontospy (1.9.9.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop obsolete lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Nov 2021 18:17:43 +0100

ontospy (1.9.9.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + stop strip stray log file when repackaging upstream source:
      no longer included upstream
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
  * declare compliance with Debian Policy 4.6.0
  * relax to (build-)depend unversioned
    on python3-colorama python3-django python3-html5lib python3-pygments
    python3-pyparsing python3-rdflib python3-requests python3-django
    python3-pygments:
    required versions satisfied in all supported Debian releases
  * tighten to trust upstream testsuite during build
    (in addition to post-build testing)
  * drop obsolete patches
  * extend patch 2001 to cover badge in README.md file
  * tighten to trust upstream testsuite during build
    (in addition to post-build testing)
  * update post-build tests (cli tools now outputs to stderr)
  * update short descriptions to untie OWL from RDF
  * update shell completion commands;
    tighten build-dependency on python3-click
    closes: bug#997369, thanks to Lucas Nussbaum
  * update symlink paths to JavaScript libraries;
    stop (build-)depend on libjs-jquery;
    mention not yet support JavaScript integrations in TODO file
  * improve test coverage;
    mention omitted tests in TODO file
  * update lintian overrides about privacy leaks
  * omit installing testing-only executable quicktest_ontospy

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Nov 2021 23:40:04 +0100

=== debian/control ===
Source: ontospy
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-python3,
 figlet <!nocheck>,
 help2man,
 libfile-homedir-perl <!nocheck>,
 libjs-bootstrap <!nocheck>,
 libjs-bootswatch <!nocheck>,
 libjs-chart.js <!nocheck>,
 libjs-d3 <!nocheck>,
 libtest-command-simple-perl <!nocheck>,
 libtest-expect-perl <!nocheck>,
 libtest-tempdir-tiny-perl <!nocheck>,
 perl <!nocheck>,
 python3,
 python3-click (>= 8),
 python3-colorama,
 python3-django,
 python3-html5lib,
 python3-pyfiglet,
 python3-pygments,
 python3-pyparsing,
 python3-rdflib,
 python3-rdflib-jsonld,
 python3-requests,
 python3-setuptools,
 python3-sparqlwrapper,
 toilet-fonts <!nocheck>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/ontospy.git
Vcs-Browser: https://salsa.debian.org/debian/ontospy
Homepage: https://lambdamusic.github.io/Ontospy/
Rules-Requires-Root: no

Package: ontospy
Architecture: all
Depends:
 python3-ontospy (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: query, inspect and visualize RDF & OWL ontologies - CLI tool
 Ontospy is a lightweight Python library and command line tool
 for inspecting and visualizing vocabularies
 encoded using W3C Semantic Web standards,
 that is, RDF or any of its dialects (RDFS, OWL, SKOS).
 .
 Ontospy can be used to generate HTML documentation
 for an ontology pretty easily.
 .
 This package provides the Ontospy command-line tool.

Package: python3-ontospy
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-chart.js,
 libjs-d3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-django,
 python3-pygments,
Description: query, inspect and visualize RDF & OWL ontologies - library
 Ontospy is a lightweight Python library and command line tool
 for inspecting and visualizing vocabularies
 encoded using W3C Semantic Web standards,
 that is, RDF or any of its dialects (RDFS, OWL, SKOS).
 .
 Ontospy can be used to generate HTML documentation
 for an ontology pretty easily.
 .
 This package provides the Ontospy library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
-
-# fix and trust upstream testsuite during build
-# (in addition to post-build testing)
-export PYBUILD_TEST_ARGS = || true
 
 cmd = ontospy
 _ENV = $(strip \
@@ -16,6 +12,13 @@
  help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
  || { $(_ENV) $1 --help; false; }
 
+override_dh_auto_test:
+	python3 -m ontospy.tests.test_load_local
+	python3 -m ontospy.tests.test_methods
+#	python3 -m ontospy.tests.test_load_remote
+#	python3 -m ontospy.tests.test_sparql
+	python3 -m ontospy.tests.test_shapes
+
 # * generate manpage based on --help option of script itself
 # * generate shell completion scripts
 # TODO: run package testsuite during build
@@ -24,10 +27,10 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(_ENV) prove debian/tests/*.t
 endif
-	$(_ENV) _ONTOSPY_COMPLETE=source $(cmd) \
+	$(_ENV) _ONTOSPY_COMPLETE=bash_source $(cmd) \
 		> debian/bash-completion || true
 	test -s debian/bash-completion
-	$(_ENV) _ONTOSPY_COMPLETE=source_zsh $(cmd) \
+	$(_ENV) _ONTOSPY_COMPLETE=zsh_source $(cmd) \
 		> debian/_$(cmd) || true
 	test -s debian/_$(cmd)
 	$(call _mkman, $(cmd), debian/$(cmd).1, \
@@ -40,4 +43,4 @@
 	chmod --recursive a-x,a+X -- debian/*/usr/lib
 
 %:
-	dh $@ --with python3,bash-completion --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m ontospy.tests.test_load_local
Restrictions: allow-stderr
Depends:
 ontospy,

Test-Command: python3 -m ontospy.tests.test_methods
Restrictions: allow-stderr
Depends:
 ontospy,

Test-Command: python3 -m ontospy.tests.test_load_remote
Restrictions: allow-stderr, flaky
Depends:
 ontospy,

# FIXME: error about undefined endpoint - probably requires python3-rdflib >= 6
#Test-Command: python3 -m ontospy.tests.test_sparql
#Restrictions: allow-stderr, flaky
#Depends:
# ontospy,

Test-Command: python3 -m ontospy.tests.test_shapes
Restrictions: allow-stderr
Depends:
 ontospy,

Test-Command: prove debian/tests/*.t
Depends:
 figlet,
 libfile-homedir-perl,
 libtest-command-simple-perl,
 libtest-expect-perl,
 libtest-tempdir-tiny-perl,
 perl,
 python3-django,
 python3-pygments,
 toilet-fonts,
 @,

# FIXME: exits 1 - maybe messes with files outside $HOME
#Test-Command: prove debian/tests/sharedlibs/*.t
#Depends:
# libfile-homedir-perl,
# libtest-command-simple-perl,
# libtest-tempdir-tiny-perl,
# perl,
# python3-django,
# python3-pygments,
# @,

Test-Command: EXTENDED_TESTING=1 prove debian/tests/net/*.t
Restrictions: flaky
Depends:
 libfile-homedir-perl,
 libtest-command-simple-perl,
 libtest-tempdir-tiny-perl,
 perl,
 python3-django,
 python3-pygments,
 @,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg \
https://github.com/lambdamusic/Ontospy/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## ontospy 2.1.1~dfsg

=== requirements.txt ===
rdflib>=6.0.0
SPARQLWrapper>=1.8.0
html5lib>=1.0.1
requests>=2.20.0
pyfiglet>=0.7.5
click>=6.6
colorama>=0.3.7 # note: on windows click requires colorama too http://click.pocoo.org/5/utils/#ansi-colors
pyparsing>=2.1.10
jinja2>=3.1.2 # for gendocs
jinja2-time>=0.2.0 # for gendocs
pygments==2.7.4 # for gendocs

# readline==6.2.4.1  # optional, for shell autocomplete

# LIBRARIES FOR DEVELOPMENT
# twine
# nose
# coverage

=== debian/changelog ===
ontospy (2.1.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Nov 2022 15:56:41 +0100

ontospy (2.0.0~dfsg-2) unstable; urgency=medium

  * update lintian source-is-missing overrides
  * avoid SPARQL tests during build, needing network access
  * build-depend on, recommend, and autopkgtest-depend on
    python3-jinja2 python3-jinja2-time
    (not python3-django)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Nov 2022 18:50:00 +0100

ontospy (2.0.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix use system-shared jQuery:
    + add patch 1002 to simplify jQuery URIs in templates
    + fix symlinks to system-shared jQuery
    + depend on libjs-jquery
  * fix use system-shared Bootstrap:
    + add patch 1003 to simplify Bootstrap URIs in templates
    + fix symlinks to system-shared Bootstrap and GLYPHICONS
  * fix use system-shared Chart.js:
    + add patch 1004 to simplify Chart.js URI in a template
    + fix symlink to system-shared Chart.js
  * fix use system-shared D3:
    + add patch 1005 to simplify D3 URIs in templates
    + fix symlinks to system-shared D3
  * update TODOs
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not debian/master upstream);
    + add usage comment
    + enable automatic DEP-14 branch name handling
  * tighten build-dependency on python3-rdflib
  * update copyright info:
    + update Files-Excluded paths
    + update coverage
  * fix links to system-shared Bootswap

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Nov 2022 16:09:55 +0100

=== debian/control ===
--- 
+++ 
@@ -20,18 +20,19 @@
  python3,
  python3-click (>= 8),
  python3-colorama,
- python3-django,
  python3-html5lib,
+ python3-jinja2 <!nocheck>,
+ python3-jinja2-time <!nocheck>,
  python3-pyfiglet,
  python3-pygments,
  python3-pyparsing,
- python3-rdflib,
+ python3-rdflib (>= 6),
  python3-rdflib-jsonld,
  python3-requests,
  python3-setuptools,
  python3-sparqlwrapper,
  toilet-fonts <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/ontospy.git
 Vcs-Browser: https://salsa.debian.org/debian/ontospy
 Homepage: https://lambdamusic.github.io/Ontospy/
@@ -61,10 +62,12 @@
  libjs-bootswatch,
  libjs-chart.js,
  libjs-d3,
+ libjs-jquery,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- python3-django,
+ python3-jinja2,
+ python3-jinja2-time,
  python3-pygments,
 Description: query, inspect and visualize RDF & OWL ontologies - library
  Ontospy is a lightweight Python library and command line tool

=== debian/watch ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 opts=\
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
+uversionmangle=s/-(?=alpha)/~/,\
 dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg \
 https://github.com/lambdamusic/Ontospy/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@

## ontospy 2.1.1~dfsg2

=== debian/changelog ===
ontospy (2.1.1~dfsg2-4) unstable; urgency=medium

  * add patch 1001 to modernize SPARQL endpoints
  * declare compliance with Debian Policy 4.7.0
  * relax to build-depend unversioned
    when version is satisfied in Debian stable

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Jun 2024 17:42:33 +0200

ontospy (2.1.1~dfsg2-3) unstable; urgency=medium

  * add patch 1006 to support Python 3.12;
    closes: bug#1061748, thanks to Matthias Klose and Michael R. Crusoe
  * stop needlessly build-depend on python3-rdflib-jsonld;
    closes: bug#1062212, thanks to Michael R. Crusoe

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jan 2024 22:20:50 +0100

ontospy (2.1.1~dfsg2-2) unstable; urgency=medium

  * fix link to JavaScript library chart.js

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 20:44:40 +0200

ontospy (2.1.1~dfsg2-1) unstable; urgency=medium

  * add patch cherry-picked from upstream pull-requests
    to stop use linebreaks filter in Markdown templates
  * fix link unversioned to JavaScript libraries
  * update copyright file:
    + exlude CC-BY-1.0 file from repackaged upstream source;
      closes: bug#1052072, thanks to Thorsten Alteholz
    + update coverage
  * update watch file: bump repackaging suffix
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 07:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libtest-tempdir-tiny-perl <!nocheck>,
  perl <!nocheck>,
  python3,
- python3-click (>= 8),
+ python3-click,
  python3-colorama,
  python3-html5lib,
  python3-jinja2 <!nocheck>,
@@ -26,13 +26,12 @@
  python3-pyfiglet,
  python3-pygments,
  python3-pyparsing,
- python3-rdflib (>= 6),
- python3-rdflib-jsonld,
+ python3-rdflib,
  python3-requests,
  python3-setuptools,
  python3-sparqlwrapper,
  toilet-fonts <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/ontospy.git
 Vcs-Browser: https://salsa.debian.org/debian/ontospy
 Homepage: https://lambdamusic.github.io/Ontospy/

=== debian/tests/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
 Depends:
  ontospy,
 
-# FIXME: error about undefined endpoint - probably requires python3-rdflib >= 6
-#Test-Command: python3 -m ontospy.tests.test_sparql
-#Restrictions: allow-stderr, flaky
-#Depends:
-# ontospy,
+Test-Command: python3 -m ontospy.tests.test_sparql
+Restrictions: allow-stderr, flaky, skip-not-installable
+Depends:
+ ontospy,
+ python3-rdflib (>= 6),
 
 Test-Command: python3 -m ontospy.tests.test_shapes
 Restrictions: allow-stderr
@@ -32,7 +32,8 @@
  libtest-expect-perl,
  libtest-tempdir-tiny-perl,
  perl,
- python3-django,
+ python3-jinja2,
+ python3-jinja2-time,
  python3-pygments,
  toilet-fonts,
  @,

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
 opts=\
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
 uversionmangle=s/-(?=alpha)/~/,\
-dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg \
+dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg2 \
 https://github.com/lambdamusic/Ontospy/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@
